/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7AYBE2                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2008  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.views;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;


/**
 * Perspective class of spreadsheet editor sample
 */
public class SpreadsheetPerspective implements IPerspectiveFactory {

    public static final String PERSPECTIVE_ID = "com.ibm.productivity.tools.samples.views.SpreadsheetPerspective";

	/* (non-Javadoc)
	 * @see org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui.IPageLayout)
	 */
	public void createInitialLayout( IPageLayout layout ) {
    	//set editor area to invisible so that our view can show maximized.		
        layout.setEditorAreaVisible( false );
        
        //add our spreadsheet view to this perspective
        layout.addView( SpreadsheetView.VIEW_ID, IPageLayout.LEFT, 1f, layout
                .getEditorArea() );
    }

}
